unit ffQDSQL;
{ *** Version 0.0.0.3 dated 17th Jan 2001}

{
The FF Q&D SQL Component For Delphi (TffQDSQL) Is
Copyrighted By Pierre du Parte
trading as Final Filer Software (2001).

ffQDSQL is provided at no charge as POSTCARD Ware.

While payment is not required,
if you use TffQDSQL in your code you are required
to send a postcard (electronic or otherwise) to
0http://www.finalfiler.com/delphi/ffqdsql/postcard.htm
Or e-mail delphi@finalfiler.com with the message "I am using ffqdsql"
Snail mail can be sent to
Final Filer Software
349 Worrigee Road
WORRIGEE NSW 2541
}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   frmQDSQLUnit, ADODB;

type
  TffQDSQL = class(TComponent)
  private
    { Private declarations }
    { Private declarations }
     fADOConnection: TADOConnection;
     fSQLStrings : TStrings;
     fCommandText : WideString;
     fCursorLocation : TCursorLocation ;
  protected
    { Protected declarations }
  public
    { Public declarations }
    Constructor Create(Aowner:TComponent); Override;
    Destructor  Destroy; OverRide;
    Function Execute : Boolean;
  published
    { Published declarations }
     Property Connection : TADOConnection Read fADOConnection Write fADOConnection;
     Property SQL : TStrings Read fSQLStrings Write fSQLStrings;
     Property CommandText : WideString Read fCommandText Write fCommandText;
     Property CursorLocation : TCursorLocation Read fCursorLocation Write fCursorLocation;
  end;

procedure Register;

implementation

Function TffQDSQL.Execute : Boolean;
var t : TfrmQDSQL;
    i : Integer;
begin
       t := TfrmQDSQL.create(self);
       Result := false;
       try
         t.PageControl1.ActivePageIndex := 0;
         t.ADOConnection1.Close;
         if (fADOConnection <> nil) then
         begin
         t.ADOConnection1.ConnectionString :=
            fADOConnection.ConnectionString ;
         t.ADOConnection1.CursorLocation :=
             fADOConnection.CursorLocation ;


            try
                t.ADOConnection1.Open;
            except
                on e: Exception  do
                        showMessage(E.Message);
            end;
         end;


         t.showModal;
         result := (t.modalresult  = mrOK) ;
         fCommandText := '';
         fSQLStrings.clear;
         if result then
          begin

           if (t.mSQL.Lines.count > 0) then
                fSQLStrings.Assign (t.mSQL.Lines );

           for i := 0 to t.mSQL.Lines.count -1 do
            begin
             fCommandText := fCommandText +
                                t.mSQL.Lines[i] + ' ';
            end;

          end;
        finally
          t.free
       end;


end;
Constructor TffQDSQL.Create(Aowner:TComponent);

begin
     fSQLStrings := TStringList.Create;
     inherited Create(Aowner);

end;

Destructor  TffQDSQL.Destroy ;
begin
     fSQLStrings.Clear;
     fSQLStrings.free;
     inherited Destroy;

end;
procedure Register;
begin
  RegisterComponents('ADO', [TffQDSQL]);
end;

end.
